Qt API | Qtopia API | Qtopia Documentation |

# XmlHandler Class Reference

The XmlHandler class is a XML document structure holder. More...

`#include <qtopia/xmlreader.h>`

Inherits QXmlDefaultHandler.

List of all member functions.

## Public Members

- XmlHandler ()
- ~XmlHandler ()
- virtual bool startDocument ()
- virtual bool endDocument ()
- virtual bool startElement ( const QString & ns, const QString & ln, const QString & qName, const QXmlAttributes & attr )
- virtual bool endElement ( const QString & ns, const QString & ln, const QString & qName )
- virtual bool characters ( const QString & ch )
- Node * firstNode () const

## Detailed Description

The XmlHandler class is a XML document structure holder.

This class provides a tree of Nodes that developers can use to organise their XML data.

See also Node and Qtopia Classes.

## Member Function Documentation

### XmlHandler::XmlHandler ()

Creates an empty XmlHandler.

### XmlHandler::~XmlHandler ()

Destructs an XmlHandler.

### bool XmlHandler::characters ( const QString & ch )`[virtual]`

Appends the data ch to the current Node.

Reimplemented from QXmlDefaultHandler.

### bool XmlHandler::endDocument ()`[virtual]`

Returns TRUE if the XmlHandler contains a valid tree of Nodes.

Reimplemented from QXmlDefaultHandler.

### bool XmlHandler::endElement ( const QString & ns, const QString & ln, const QString & qName )`[virtual]`

Ends a sub-element safely.

Reimplemented from QXmlDefaultHandler.

### Node * XmlHandler::firstNode () const

Returns the root Node of the tree.

### bool XmlHandler::startDocument ()`[virtual]`

Initialises an XmlHandler with a root Node named DOCUMENT. Returns TRUE if successful.

Reimplemented from QXmlDefaultHandler.

### bool XmlHandler::startElement ( const QString & ns, const QString & ln, const QString & qName, const QXmlAttributes & attr )`[virtual]`

Creates a new sub-element, with name qName and attributes attr.

Reimplemented from QXmlDefaultHandler.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.